<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RespuestaTransaccionRif4.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4</a> &gt; <span class="el_source">RespuestaTransaccionRif4.java</span></div><h1>RespuestaTransaccionRif4.java</h1><pre class="source lang-java linenums"><span class="nc" id="L1">package com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4;</span>

import com.bbva.jee.arq.spring.core.host.*;
import org.springframework.roo.addon.javabean.annotations.RooJavaBean;
import org.springframework.roo.addon.javabean.annotations.RooSerializable;

/**
 * Bean de respuesta para la transacci&amp;oacute;n &lt;code&gt;RIF4&lt;/code&gt;
 * 
 * @see PeticionTransaccionRif4
 * 
 * @author Arquitectura Spring BBVA
 */
@RespuestaTransaccion
@Multiformato(formatos = {FormatoRIMRF41.class, FormatoRIMRF42.class})
@RooJavaBean
@RooSerializable
<span class="nc" id="L18">public class RespuestaTransaccionRif4 implements MensajeMultiparte {</span>
	
	/**
	 * &lt;p&gt;Cabecera &lt;code&gt;serviceResponse&lt;/code&gt;&lt;/p&gt;
	 */
	@Cabecera(nombre=NombreCabecera.CODIGO_RETORNO)
	private String codigoRetorno;
	
	/**
	 * &lt;p&gt;Cabecera &lt;code&gt;processControl&lt;/code&gt;&lt;/p&gt;
	 */
	@Cabecera(nombre=NombreCabecera.CODIGO_CONTROL)
	private String codigoControl;
	
	/**
	 * &lt;p&gt;Cuerpo del mensaje de respuesta multiparte&lt;/p&gt;
	 */
	@Cuerpo
<span class="nc" id="L36">	private CuerpoMultiparte cuerpo = new CuerpoMultiparte();</span>
	
	/**
	 * &lt;p&gt;Permite obtener el cuerpo del mensaje de petici&amp;oacute;n multiparte&lt;/p&gt;
	 */
	@Override
	public CuerpoMultiparte getCuerpo() {
<span class="nc" id="L43">		return cuerpo;</span>
	}
	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>